diff -Nacr a/doc/src/sgml/config.sgml b/doc/src/sgml/config.sgml
*** a/doc/src/sgml/config.sgml	2016-07-19 05:54:26.000000000 +0900
--- b/doc/src/sgml/config.sgml	2016-08-05 19:23:45.000000000 +0900
***************
*** 5421,5426 ****
--- 5421,5428 ----
          is received by the server.  The process title is typically viewed
          by the <command>ps</> command,
          or in Windows by using the <application>Process Explorer</>.
+         The default is off on Windows
+         because the overhead is significant, and on on other platforms.
          Only superusers can change this setting.
         </para>
        </listitem>
diff -Nacr a/src/backend/utils/misc/guc.c b/src/backend/utils/misc/guc.c
*** a/src/backend/utils/misc/guc.c	2016-07-19 05:54:26.000000000 +0900
--- b/src/backend/utils/misc/guc.c	2016-08-05 19:17:52.000000000 +0900
***************
*** 1210,1216 ****
--- 1210,1220 ----
  			gettext_noop("Enables updating of the process title every time a new SQL command is received by the server.")
  		},
  		&update_process_title,
+ #ifdef WIN32
+ 		false,
+ #else
  		true,
+ #endif
  		NULL, NULL, NULL
  	},
  
